0

I have a client who has a data centre, and one of their OS choice is SLES 11 SP2 (SUSE Linux Enterprise Server)

Questions:

  1. Is SLES 11 SP2 == SLES 11.2 == OpenSUSE 11.2?
  2. Will the kernel always be 3.0.13-0.27
  3. I have done quite a bit of Google search and I cannot find any sources saying if it supports PHP 5.5? Our application needs to run on Apache 2.4 & PHP 5.5, so is the SLES 11 SP2 a bad choice?
  4. So I assume this version doesn't support docker right? Docker docs did mention minimum kernel requirement to be 3.10.

Also, these VMs that the client provide doesn't connect to the internet. They do, probably, have their own repositories that I am yet to explore.

1
  • SLES 11 SP2 is equivalent to SLES 11.2
  • opensuse are a "level" higher", SLES 11SP2 is (was) tested as opensuse 12.2
  • kernel is likely to be 3.0.X-Y and will change multiple time
  • try zypper search php apache to see which apache/php version are available.
  • docker will be fully supported in SLES 12.

If repositories are properly configured, zypper search XXX will tell you which version of XXX packages (along with its dependancies) is available.

| improve this answer | |
  • Thanks for the reply. In fact we ends up hiring a devops doing the compiling for us :) it's much easier for us at this point of time – Lionel Chan Mar 5 '16 at 13:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.